After Datacom/DB upgrade, CICS region getting VRS1 error, why?

Document ID : KB000015157
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

After Datacom/DB upgrade, the CICS/TS region startup is showing VRS1 error, why? 

 

Environment:
CICS/TS
Answer:

VRS1 error is issued by CA Datacom Datadictionary and means that there are dictionary (DD*) modules from mixed releases. 

To resolve the situation, check the Datacom Multi-User (MUF) JOBLIB/STEPLIB and the CICS/TS startup DFHRPL library concatenation and remove any older versions of Datacom libraries.

 

Additional Information:

See CA Datacom Messages 

VRS1

PROGRAM VERSIONS DO NOT MATCH

Reason:

The version identification assigned to a given CA Datacom® Datadictionary™ program does not match that of the System Resource Table.

Action:

Make sure that all CA Datacom® Datadictionary™ programs in the load libraries being accessed are at exactly the same level. If no errors are detected in the libraries used, collect the dump and all other pertinent information and contact CA Support.

https://docops.ca.com/ca-datacom-messages/en/ca-datacom-db-messages/ca-datacom-db-abend-codes/vrs1